Impossible d'installer vlc (dépendances)

Résolu/Fermé
faseldi
Messages postés
279
Date d'inscription
dimanche 9 novembre 2014
Statut
Membre
Dernière intervention
3 janvier 2017
- 12 juil. 2016 à 20:29
faseldi
Messages postés
279
Date d'inscription
dimanche 9 novembre 2014
Statut
Membre
Dernière intervention
3 janvier 2017
- 12 juil. 2016 à 21:48
Bonjour,

J'ai essayé d'installer vlc grâce à la commande magique habituelle :
  apt-get install vlc


Ma machine a une distribution Debian 8.5 Jessie

Cependant il me dit que des dépendances ne sont pas satisfaites ...

Les paquets suivants contiennent des dépendances non satisfaites :
vlc : Dépend: vlc-nox (= 1:2.0.6-dmo3+deb7u1) mais ne sera pas installé
Dépend: libavcodec54 (>= 8:1.0.0) mais ne sera pas installé
Recommande: vlc-plugin-notify (= 1:2.0.6-dmo3+deb7u1) mais ne sera pas installé
Recommande: vlc-plugin-pulse (= 1:2.0.6-dmo3+deb7u1) mais ne sera pas installé
E: Impossible de corriger les problèmes, des paquets défectueux sont en mode « garder en l'état ».


Pour corriger mon soucis j'ai éssayé:
-de changer mon sources.list avec la commande apt edit-sources
-de le changer à la main en nano /etc/apt/sources.list
-d'installer les paquets à la main avec des .deb d'internet (beaucoup beaucoup trop de dépances derriere)
-de faire tout simplement un update
-de faire in dist-upgrade
-de faire la commande "apt-get -f install" pour installer les dépendances qui étaient requises
de
-de passer par synaptic (qui ne trouve pas de paquet cassé, mais qui me signale que le paquet que je vais installer sera cassé)

voici mon sources.list :

# Debian Jessie, dépôt principal + paquets non libres
deb http://httpredir.debian.org/debian/ jessie main contrib non-free
# Debian Jessie, mises-à-jour de sécurité + paquets non libres
deb https://www.debian.org/security/ jessie/updates main contrib non-free
# Debian Jessie, mises-à-jour "volatiles" + paquets non libres
deb http://httpredir.debian.org/debian/ jessie-updates main contrib non-free
# Debian Jessie, dépôt de rétroportages ("backports")
deb http://ftp.debian.org/debian/ jessie-backports main contrib non-free


Si vous avez réussi à installer vlc sur votre debian jessie 8.5, merci de me partager votre sources.list (less /etc/apt/sources.list)

Merci d'avance pour votre aide!

1 réponse

Bonjour,
J'utilise vlc avec une dérivée de Debian Jessie et l'installation n'a posé aucun problème.

C'est pas un problème de sources.list. Tu as dû installer un autre programme qui a des dépendances communes d'une autre version et tu ne pourras pas installer vlc tant que ce programme ne sera pas désinstallé.
Fais un apt-get install vlc-nox pour voir quelles sont les dépendances qui ne peuvent être installées (si tu as de la chance il te men te disant qu'il faut désinstaller un programme) et en combinant avec une recherche par dépendances dans synaptic tu finiras bien par trouver quel est le programme qui pose problème.
C'est un vrai casse-tête, j'en ai déjà fait l'expérience mais avec un peu de méthode et de persévérance, on en vient à bout.
0
faseldi
Messages postés
279
Date d'inscription
dimanche 9 novembre 2014
Statut
Membre
Dernière intervention
3 janvier 2017
20
12 juil. 2016 à 21:48
Merci,
effectivement, c'est un autre logiciel qui pose un soucis, je vais installer kodi comme alternative à vlc, ne pouvant me passer de l'autre programme


Merci Beaucoup pour ta réponse
0